petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCFieldSplitSetDetectSaddlePoint

Sets flag indicating whether PCFieldSplit will attempt to automatically determine fields based on zero diagonal entries.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetDetectSaddlePoint(PC pc,PetscBool flg)

Logically Collective

### Notes

Also sets the split type to PC_COMPOSITE_SCHUR (see PCFieldSplitSetType()) and the Schur preconditioner type to PC_FIELDSPLIT_SCHUR_PRE_SELF (see PCFieldSplitSetSchurPre()).

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -boolean indicating whether to detect fields or not

### Options Database Key

-pc_fieldsplit_detect_saddle_point -

### See Also

PCFIELDSPLIT, PCFieldSplitSetDetectSaddlePoint(), PCFieldSplitSetType(), PCFieldSplitSetSchurPre()

### Level

Intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages